--- old/usr/src/lib/libc/port/locale/mblocal.h	2013-06-16 17:44:35.815731479 +0000
+++ new/usr/src/lib/libc/port/locale/mblocal.h	2013-06-16 17:44:35.831155146 +0000
@@ -29,6 +29,26 @@
 #define	_MBLOCAL_H_
 
 #include "runetype.h"
+#include "xlocale_private.h"
+
+/*
+ * Conversion function pointers for current encoding.
+ */
+struct xlocale_ctype {
+	struct xlocale_component header;
+	_RuneLocale *runes;
+	size_t (*__mbrtowc)(wchar_t *_RESTRICT_KYWD, const char *_RESTRICT_KYWD,
+	    size_t, mbstate_t *_RESTRICT_KYWD);
+	int (*__mbsinit)(const mbstate_t *);
+	size_t (*__mbsnrtowcs)(wchar_t *_RESTRICT_KYWD, const char **_RESTRICT_KYWD,
+	    size_t, size_t, mbstate_t *_RESTRICT_KYWD);
+	size_t (*__wcrtomb)(char *_RESTRICT_KYWD, wchar_t, mbstate_t *_RESTRICT_KYWD);
+	size_t (*__wcsnrtombs)(char *_RESTRICT_KYWD, const wchar_t **_RESTRICT_KYWD,
+	    size_t, size_t, mbstate_t *_RESTRICT_KYWD);
+	int __mb_cur_max;
+	int __mb_sb_limit;
+};
+#define	XLOCALE_CTYPE(x)	((struct xlocale_ctype*)(x)->components[XLC_CTYPE])
 
 /*
  * Rune initialization function prototypes.
